<template>
    <div>
        <v-toolbar color="primary" dark tabs>

            <v-toolbar-title style="font-size: 35px">Bestflix</v-toolbar-title>

            <v-spacer></v-spacer>

            <v-tabs
                    slot="extension"
                    v-model="tab"
                    color="primary"
                    grow
            >
                <v-tabs-slider color="secondary"></v-tabs-slider>

                <v-tab v-for="item in items" :key="item.name" @click="$router.push({name: item.link})">
                    {{ item.name }}
                </v-tab>
            </v-tabs>
        </v-toolbar>
    </div>
</template>

<script>
    export default {
        name: "navigation",
        data() {
            return {
                tab: null,
                items: [
                    {name: "Films", link: "list"},
                    {name: "Ajouter", link: "add"}
                ]
            }
        }
    }
</script>

<style scoped>

</style>
